#ifndef SHAREDMEMORY_H
#define SHAREDMEMORY_H

#include <stdint.h>

key_t getKey(const char *key_path, const uint8_t key_id);
int getMemory(key_t key, size_t size);
void *attachMemory(int shmid);
void detachMemory(const void *shmaddr);
void deallocateMemory(int shmid);
int getExistingMemory(key_t key, size_t size);

#endif
